<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

	<meta charset="utf-8">

	<style type="text/css">
		#map{ /* la carte DOIT avoir une hauteur sinon elle n'apparaît pas */
			height:400px;
		}
	</style>
</head>
<body>
	<h1>Carte</h1>

	<title>Carte</title>

	<div id="map">
		<!-- Ici s'affichera la carte -->
	</div>

	<h1>Bateaux</h1>
		<table>
			<tr>
				<th>Nom</th>
				<th>Categorie</th>
				<th>Navigation</th>
				<th>Pays</th>
		  	</tr>
			{% for boat in boatlist %}
				<tr>
					 <td><a href="/boat/{{boat['id']}}">{{boat['name']}}</a></td>
					<td>{{boat['category']}}</td>
					<td>{{boat['sail']}}</td>
					<td>{{boat['country']}}</td>
				</tr>
			{% endfor %}
		</table>

	<h1>Points météorologiques en direct</h1>
		<table>
			<tr>
				<th>Nom</th>
				<th>Latitude, Longitude</th>
				<th>Météo actuelle</th>
				<th>Température</th>
                <th>Vitesse du vent</th>
                <th>Direction du vent</th>
		  	</tr>
			{% for weather in weatherList %}
				<tr>
					<td><a href="/weather/{{weather['latitude']}}/{{weather['longitude']}}">{{weather['name']}}</a></td>
					<td>{{weather['latitude']}}, {{weather['longitude']}}</td>
					<td>{{weather['weather']}}</td>
					<td>{{weather['temperature']}} °C</td>
					<td>{{weather['wind_speed']}} km/h</td>
					<td>{{weather['wind_direction']}} °</td>
				</tr>
			{% endfor %}
		</table>
	</body>

<style>
      table,
      th,
      td {
        padding: 10px;
        border: 1px solid black;
        border-collapse: collapse;
      }
</style>

<script async type="text/javascript">
		// Nous initialisons la liste des marqueurs des ports et des bateaux en méditérannée
		var points = [];
	</script>
	{% for boat in boatLocalisation %}
		<script async type="text/javascript">
			var title = {{boat['name']|tojson}} + " - " + {{boat['weather']|tojson}}
			var lat = {{boat['lat']|tojson}}
			var lon = {{boat['long']|tojson}}
			var url = "http://maps.google.com/mapfiles/ms/icons/blue-dot.png"
			points.push([title,lon,lat, url])
		</script>
	{% endfor %}

	{% for weather in weathernow %}
			<script async type="text/javascript">
				var title = {{weather['name']|tojson}} + " - " + {{weather['weather']|tojson}}
				var lat = {{weather['latitude']|tojson}}
				var lon = {{weather['longitude']|tojson}}
				var url = "http://maps.google.com/mapfiles/ms/icons/yellow-dot.png"
				points.push([title,lat,lon, url])
			</script>
		{% endfor %}
	<script src="https://maps.google.com/maps/api/js?key=AIzaSyAHH_diGfCGkNyHxhFoRf_yLjbKx2eYusk" type="text/javascript"></script>
	<script async type="text/javascript">
		// On initialise la latitude et la longitude de la méditérannée
		var lat = 39.873194;
		var lon = 6.142065;
		var map = null;


		// Fonction d'initialisation de la carte
		function initMap() {
			// Créer l'objet "map" et l'insèrer dans l'élément HTML qui a l'ID "map"
			map = new google.maps.Map(document.getElementById("map"), {
				// Nous plaçons le centre de la carte avec les coordonnées ci-dessus
				center: new google.maps.LatLng(lat, lon),
				// Nous définissons le zoom par défaut
				zoom: 5,
				// Nous définissons le type de carte (ici carte routière)
				mapTypeId: google.maps.MapTypeId.ROADMAP,
				// Nous activons les options de contrôle de la carte (plan, satellite...)
				mapTypeControl: true,
				// Nous désactivons la roulette de souris
				scrollwheel: false,
				mapTypeControlOptions: {
					// Cette option sert à définir comment les options se placent
					style: google.maps.MapTypeControlStyle.HORIZONTAL_BAR
				},
				// Activation des options de navigation dans la carte (zoom...)
				navigationControl: true,
				navigationControlOptions: {
					// Comment ces options doivent-elles s'afficher
					style: google.maps.NavigationControlStyle.ZOOM_PAN
				}
			});
			points.forEach(addMarker);
		}
		window.onload = function(){
			// Fonction d'initialisation qui s'exécute lorsque le DOM est chargé
			initMap();
		};
		function addMarker(point){
				const marker = new google.maps.Marker({
					// A chaque boucle, la latitude et la longitude sont lues dans le tableau
					position: {lat: point[1], lng: point[2]},
					// On en profite pour ajouter une info-bulle contenant le nom du port / bateau associé à la météo
					title: point[0],
					icon: {
					  url: point[3]
					},
					map: map
				});}
	</script>
</html>
